Package org.eclipse.remote.serial.ui

# Class SerialPortConnectionBlock

java.lang.Object
org.eclipse.remote.serial.ui.SerialPortConnectionBlock

public class SerialPortConnectionBlock extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`SerialPortConnectionBlock.SerialBlockUpdateListener`

## Constructor Summary

Constructors
Constructor
Description
`SerialPortConnectionBlock()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addUpdateListener(SerialPortConnectionBlock.SerialBlockUpdateListener listener)`
`void`
`createBlock(org.eclipse.swt.widgets.Composite comp, IRemoteConnectionWorkingCopy wc)`
Creates the UI elements for the SerialPortConnectionBlock
`int`
`getBaudRateIndex()`
`int`
`getByteSizeIndex()`
`String`
`getConnectionName()`
`int`
`getParityIndex()`
`String`
`getPortName()`
`int`
`getStopBitsIndex()`
`boolean`
`isComplete()`
`void`
`removeUpdateListener(SerialPortConnectionBlock.SerialBlockUpdateListener listener)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SerialPortConnectionBlock

public SerialPortConnectionBlock()

## Method Details

### createBlock

public void createBlock(org.eclipse.swt.widgets.Composite comp, IRemoteConnectionWorkingCopy wc)
Creates the UI elements for the SerialPortConnectionBlock

Parameters:
  `comp` - - parent composite
  `wc` - - an IRemoteConnectionWorkingCopy to populate the default values from. Can be null.

### getConnectionName

public String getConnectionName()

### getPortName

public String getPortName()

### getBaudRateIndex

public int getBaudRateIndex()

### getByteSizeIndex

public int getByteSizeIndex()

### getParityIndex

public int getParityIndex()

### getStopBitsIndex

public int getStopBitsIndex()

### isComplete

public boolean isComplete()

### addUpdateListener

public void addUpdateListener(SerialPortConnectionBlock.SerialBlockUpdateListener listener)

### removeUpdateListener

public void removeUpdateListener(SerialPortConnectionBlock.SerialBlockUpdateListener listener)